Best Book Ticker
Description
Returns the current best bid and ask price (highest bid, lowest ask).
HTTP Request
GET /fapi/v1/ticker/bookTicker
Weight
1 (for a single symbol) 2 (for all symbols)
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| symbol | STRING | NO | Trading pair |
Response Example
{
"symbol": "BTCUSDT",
"bidPrice": "4.00000000",
"bidQty": "431.00000000",
"askPrice": "4.00000200",
"askQty": "9.00000000",
"time": 1589437530011
}
OR (if no symbol is sent)
[
{
"symbol": "BTCUSDT",
"bidPrice": "4.00000000",
"bidQty": "431.00000000",
"askPrice": "4.00000200",
"askQty": "9.00000000",
"time": 1589437530011
}
]
Code Examples
cURL
curl -s "https://api-sepolia.ztdx.io/fapi/v1/ticker/bookTicker?symbol=BTCUSDT"
Python
import requests
base_url = "https://api.ztdx.io"
response = requests.get(f"{base_url}/fapi/v1/ticker/bookTicker", params={"symbol": "BTCUSDT"})
data = response.json()
print(f"{data['symbol']} Bid: {data['bidPrice']} Ask: {data['askPrice']}")